// creator  : weidu.exe (version 23100)
// argument : BENTAN.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~BENTAN~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #5711 /* ~How did you know?~ */
  IF ~~ THEN REPLY #5712 /* ~Did you notice anything else odd about him? He could live here.~ */ GOTO 1
  IF ~~ THEN REPLY #5713 /* ~It's nothing to worry about. I'll tell you if I see something important.~ */ GOTO 2
  IF ~~ THEN REPLY #5714 /* ~Aren't you a bit too heroic to be guarding shipments for Aran?~ */ GOTO 3
  IF ~~ THEN REPLY #5715 /* ~Enough socializing. Let us get down to business. What is the situation?~ */ GOTO 4
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #5716 /* ~'Tis merely a path on the road to another heroic feat.~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #5717 /* ~I'm trained to know, <GABBER>. I've been watching him from the shadows here all day.~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #5718 /* ~Did you notice anything else odd about him? He may live here.~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 4 // from: 0.3
  SAY #5719 /* ~It's nothing to worry about. I'll tell you if I see something important.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 3.0 2.0 1.0
  SAY #5720 /* ~He was casing the area and studying me. Now that you're here to stay with the product, I should be able to learn something from him next time he passes.~ */
  IF ~~ THEN REPLY #5721 /* ~It doesn't sound very suspicious.~ */ GOTO 6
  IF ~~ THEN REPLY #5722 /* ~That sounds like an excellent plan.~ */ GOTO 7
  IF ~~ THEN REPLY #5723 /* ~If you say so. I suppose we should wait for those people to return.~ */ GOTO 8
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #5724 /* ~I'm glad I could play a part in your little drama.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 5.1
  SAY #5725 /* ~Could you tell me what the situation is?~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0 5.2
  SAY #5727 /* ~We've got our answer. Here he comes again. He looks different at night. Kind of creepy. Wait here. I'll find out what's going on.~ */
  IF ~~ THEN REPLY #5729 /* ~Hail, friend! 'Tis a fine evening for a stroll, no?~ */ GOTO 9
  IF ~~ THEN REPLY #5730 /* ~Who is it that speaks to me like an old acquaintance?~ */ GOTO 10
  IF ~~ THEN REPLY #5731 /* ~Have you? What might your purpose be?~ */ GOTO 11
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #5732 /* ~You're welcome to your opinion. Perhaps I choose to stay right where I am.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 10 // from: 8.1
  SAY #5733 /* ~To me <CHARNAME>! Treachery is afoot!~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 11 // from: 8.2
  SAY #5734 /* ~Mook... I've been looking for you.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF WEIGHT #3 /* Triggers after states #: 13 even though they appear after this state */
~True()
~ THEN BEGIN 12 // from:
  SAY #5799 /* ~Perhaps yer head t'aint empty, but mostly hollow with some good sense vapors foggin' yer goggles!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 13 // from:
  SAY #5800 /* ~Another slight from the likes of ye, cur, and ye'll not see the morrow.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 14 // from:
  SAY #8941 /* ~She's dead, Cernd. You needn't worry about her getting in the way of your duty any more. She's dead.~ */
  IF ~~ THEN EXIT
END
